#include "stdafx.h"
#include "EvalCmd/EvalArrowOff.h"

// MGEvalArrowOff

MGEvalArrowOff::MGEvalArrowOff(fugenDoc* pDoc)
	 : MGCommandBase(
		pDoc
		, ID_EVAL_ARROW_OFF)
{
}

MGCommandBase* MGEvalArrowOff::initial_clone(fugenDoc* pDoc) const
{
	return new MGEvalArrowOff(pDoc);
}

bool MGEvalArrowOff::initiate_tool(){
	MGCommandBase::initiate_tool();
	if(document()->includes_sysgl(ID_EVAL_ARROW_ON))
		document()->DeleteDisplayList(ID_EVAL_ARROW_ON,true);
	return OnCommandEnd(1);
}
